/*general css*/
body{
    background-color: #FFB6C1;
    font-family: Roboto;
    text-align: center;
}

.head {
    font-size: 50px;
    text-align: center;
    color: white; 
    font-weight: 900;
    margin-top: 5px;
}

button{
    background-color: #FF69B4;
    border-color: #FF1493;
    color: whitesmoke;
    width: 200px; 
    height: 50px; 
    font-size: 20px;
}

h1{
  color: #FF1493;
}

h5{
  color: #FF1493;
  padding-bottom: 0px;
}

/*board game design*/
.board {
    display: grid;
    grid-template-columns: repeat(10, 40px);
    grid-template-rows: repeat(10, 40px);
    gap: 2px;
    border: 1px solid #000;
}

.cell {
    width: 40px;
    height: 40px;
    background-color: #FF1493;
}


.ship {
    background-color: purple;
    cursor: move;
    display: inline-block;
}

.hit {
    background-color: lightskyblue;
    background-image: url('gojo.png');
    background-size: cover;
}

.miss {
    background-color: whitesmoke;
}

.game-container {
    display: flex;
    justify-content: space-around;
}

#game-info {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

#message {
    font-size: 20px;
}

.minir {
    font-size: 20px;
    color: white;
    margin-right: 250px;
}

.minil {
    font-size: 20px;
    color: white;
    margin-left: 250px;
}

.container {
    display: flex;
    justify-content: space-between;
}
  
#left{
    margin-left: 250px;
    font-size: 15px;
}

#right{
    margin-right: 250px;
    font-size: 15px;
}

/* styling the pop ups */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}
  
.modal-content {
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}
  
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
  
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
}
  
.modal-content {
    background-color: white;
    width: 80%;
    color: #000;
    font-size: 30px;
}
  
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
  
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

  
#modal-messagep {
    color: black;
    font-size: 20px;
}

#modal-message {
    text-align: center;
    color: #000;
}